%define anolis_release 1
%global unversion 2_6_0

Summary: An XML parser library
Name: expat
Version: %(echo %{unversion} | sed 's/_/./g')
Release: %{anolis_release}%{?dist}
Source0: https://github.com/libexpat/libexpat/releases/download/R_%{unversion}/expat-%{version}.tar.gz
URL: https://libexpat.github.io/
License: MIT
BuildRequires: autoconf, libtool, xmlto, gcc-c++
BuildRequires: make

%description
This is expat, the C library for parsing XML, written by James Clark. Expat
is a stream oriented XML parser. This means that you register handlers with
the parser prior to starting the parse. These handlers are called when the
parser discovers the associated structures in the document being parsed. A
start tag is an example of the kind of structures for which you may
register handlers.

%package devel
Summary: Libraries and header files to develop applications using expat
Requires: %{name} = %{version}-%{release}

%description devel
The expat-devel package contains the libraries, include files and documentation
to develop XML applications with expat.

%package static
Summary: expat XML parser static library
Requires: %{name}-devel = %{version}-%{release}

%description static
The expat-static package contains the static version of the expat library.
Install it if you need to link statically with expat.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
sed -i 's/install-data-hook/do-nothing-please/' lib/Makefile.am
./buildconf.sh

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export DOCBOOK_TO_MAN="xmlto man"
%configure
%make_build

%install
%make_install

%generate_compatibility_deps

%check
make check

%files
%dir %{abidir}
%doc AUTHORS Changes
%license COPYING
%{_bindir}/*
%{_libdir}/libexpat.so.*
%{abidir}/*-option.list
%{abidir}/lib*.dump
%{_mandir}/*/*

%files doc
%doc AUTHORS Changes

%files devel
%doc doc/reference.html doc/*.css examples/*.c
%{_libdir}/libexpat.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_libdir}/cmake/expat-%{version}

%files static
%{_libdir}/libexpat.a

%changelog
* Fri Aug 02 2024 Kaiqiang Wang <wangkaiqiang@inspur.com> - 2.6.0-1
- update to 2.6.0
- fix CVE-2023-52425

* Wed Dec 27 2023 happy_orange <songnannan@linux.alibaba.com> - 2.5.0-2
- fix the source error

* Thu Feb 16 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.5.0-1
- update version and optimize spec

* Fri Oct 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.8-2
- optimise spec file

* Mon Sep 05 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.4.8-1
- update to 2.4.8

* Thu Mar 03 2022 mgb01105731 <mgb01105731@alibaba-inc.com> -  2.4.6-1
- Init from upstream version 2.4.6
